// nb.h - notebook example program

#ifndef NB_H
#define NB_H TRUE

class MyApp : public xApplication
{
public:

   MyApp( const CHAR* AName, ULONG fShow ) : xApplication( AName, fShow ) {} 
   virtual ~MyApp() {}

   virtual VOID InitMainWindow() ;

} ;

class MyFrameWindow : public xFrameWindow
{
public:

   MyFrameWindow( PXWINDOW AParent, const CHAR* ATitle,
                  PXWINDOW AClient ) ;
   virtual ~MyFrameWindow() {} 

} ;

class MyClientWindow : public xClientWindow
{
public:

   MyClientWindow() ;
   virtual ~MyClientWindow() {} 

   virtual VOID SetupWindow() ;

protected:

   virtual VOID WMSize( RXMESSAGE msg ) ;

private:

   PXNOTEBOOK Notebook ;

} ;

typedef struct _NBPAGES
{
   CHAR* TabText ;
   INT   Id ;
   ULONG PageStyle ;
   CHAR* StatusLineText ;

} NBPAGES ;

NBPAGES NBPage[]=    
{
   { "Page 1",  IDD_PAGE1A, BKA_MAJOR | BKA_STATUSTEXTON, "Page One" },
   { "Page 2",           0, BKA_MAJOR | BKA_STATUSTEXTON, "Page Two" },
   { "Page 2A", IDD_PAGE1B, BKA_MINOR | BKA_STATUSTEXTON, "Page Two A" },
   { "Page 2B", IDD_PAGE2,  BKA_MINOR | BKA_STATUSTEXTON, "Page Two B" },
   { "Page 3",  IDD_PAGE3,  BKA_MAJOR | BKA_STATUSTEXTON, "Page Three" }

} ;

#define NUM_PAGES ( sizeof(NBPage) / sizeof(NBPAGES) )

#endif

// eof nb.h - notebook example program
